Bug 961012 - colorls profile cript tmp file handling improvements
colorls profile cript tmp file handling improvements
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 10:13 EDT by Ville Skyttä
Modified: 2014-02-04 22:33 EST (History)
7 users (show)

See Also:
Fixed In Version: coreutils-8.21-13.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-08 11:26:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tmp file creation/deletion fixes, drop one unnecessary piped cat (1.83 KB, patch)
2013-05-08 10:13 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2013-05-08 10:13:18 EDT
Created attachment 745257 [details]
tmp file creation/deletion fixes, drop one unnecessary piped cat

There are some code paths where a temporary file is created by the colorls profile scripts, and also some where it does not get deleted. The attached patch should fix them, as well as drops one unnecessary cat piped to grep, using direct grep instead.
Comment 1 Ondrej Vasik 2013-05-08 11:26:54 EDT
Thanks, commited - http://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20130506/1015675.html ... Closing RAWHIDE, as these things should actually be harmless - I'll eventually add them to F19 in next update.
Comment 2 Fedora Update System 2014-01-20 05:42:48 EST
coreutils-8.21-13.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/coreutils-8.21-13.fc19
Comment 3 Fedora Update System 2014-02-04 22:33:51 EST
coreutils-8.21-13.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.